package com.yami.shop.coupon.comment.Enums;

import lombok.AllArgsConstructor;
import lombok.Getter;

/**
 * 优惠券状态
 */
@Getter
@AllArgsConstructor
public enum CouponStatusEnum {
    /**   取消投放   */
    CANCEL(-1,"取消投放"),

    /**   等待投放   */
    WAIT_PUT_ON(0, "等待投放"),

    /**   投放       */
    PUT_ON(1, "投放"),

    /**   违规下架   */
    OFFLINE(2, "违规下架"),

    /**   等待审核   */
    WAIT_AUDIT(3, "等待审核"),
    ;
    private int value;
    private String desc;
}
